Přeskočit na obsah

Mark Not Found

POST
/api/requests/{request_id}/not-found
curl --request POST \
--url https://example.com/api/requests/example/not-found
request_id
required
Request Id
string

Successful Response

Media typeapplication/json
RequestItem
object
id
required
Id
string
trigger_id
required
Trigger Id
string
trigger_date
required
Trigger Date
string format: date
patient_id
required
Patient Id
string
candidate_id
required
Candidate Id
string
prior_modality
required
Prior Modality
string
prior_date
required
Any of:
string
prior_description
required
Prior Description
string
place
required
Any of:
string
organization_id
required
Any of:
string
channel
required
Channel
string
Allowed values: email phone fhir
state
required
State
string
Allowed values: draft sent requested not_delivered received not_found
contact
required
Any of:
Contact
object
organization_id
required
Organization Id
string
organization_name
required
Organization Name
string
email
required
Any of:
string
phone
required
Any of:
string
source_url
required
Any of:
string
verified_at
required
Any of:
string format: date
needs_reverify
required
Needs Reverify
boolean
fhir_endpoint
Any of:
string
email_draft
required
Any of:
string
created_at
required
Created At
string format: date-time
sent_at
required
Any of:
string format: date-time
study_id
Any of:
string
fhir_task
Any of:
object
key
additional properties
any

Example

{
"channel": "email",
"state": "draft"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}